Subject: bug#23723: patch-shebang phase breaks symlinks

From: [email-masked] (Ludovic Courtès)
Date: Thu, 16 Jun 2016 10:16:13 +0200

Danny Milosavljevic <[email-masked]> skribis:

> are you sure that's correct?
>
> Compare:
>
> On Sun, 12 Jun 2016 12:29:52 +0200
> [email-masked] (Ludovic Courtès) wrote:
>
>> +            (filter (lambda (file)
>> +                      (eq? 'regular (lstat file)))
>                                      ^^^^^
> to
>
>> -                            (let ((s (stat (string-append dir "/" f))))
>> +                            (let ((s (lstat (string-append dir "/" f))))
>>                                (eq? 'regular (stat:type s)))))
>                                                 ^^^^^^^^^
> .
>
> I think the first is missing a call to stat:type .

Good catch!  I’ll adjust it when I commit to ‘core-updates-next’.

Thank you!

Ludo’.